com.r3corda.protocols / NotaryProtocol / SignRequest

# SignRequest

`data class SignRequest`

TODO: The caller must authenticate instead of just specifying its identity

### Constructors

<init> | `SignRequest(tx: SignedTransaction, callerIdentity: Party)` TODO: The caller must authenticate instead of just specifying its identity

### Properties

callerIdentity | `val callerIdentity: Party`
tx | `val tx: SignedTransaction`